/* eslint-disable @typescript-eslint/no-unused-vars */
import { EventTemplate, UnsignedEvent } from 'nostr-tools'
import { SignedEvent } from '../../types/nostr'

export interface LoginMethodOperations {
  nip04Encrypt(receiver: string, content: string): Promise<string>
  nip04EDecrypt(sender: string, content: string): Promise<string>
  nip44Encrypt(receiver: string, content: string): Promise<string>
  nip44EDecrypt(sender: string, content: string): Promise<string>
  signEvent(event: UnsignedEvent | EventTemplate): Promise<SignedEvent>
}

export class LoginMethodStrategy implements LoginMethodOperations {
  async nip04Encrypt(_receiver: string, _content: string): Promise<string> {
    throw new Error('Login method strategy is undefined')
  }
  async nip04EDecrypt(_sender: string, _content: string): Promise<string> {
    throw new Error('Login method strategy is undefined')
  }
  async nip44Encrypt(_receiver: string, _content: string): Promise<string> {
    throw new Error('Login method strategy is undefined')
  }
  async nip44EDecrypt(_sender: string, _content: string): Promise<string> {
    throw new Error('Login method strategy is undefined')
  }
  async signEvent(_event: UnsignedEvent | EventTemplate): Promise<SignedEvent> {
    return Promise.reject(
      `We could not sign the event, none of the signing methods are available`
    )
  }
}
